﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadDateTimePicker_SL_726780
{
    public class ViewModel : ViewModelBase
    {
        private DateTime startDate;

        public DateTime StartDate
        {
            get 
            { 
                return this.startDate; 
            }
            set 
            {
                if (value != null && value.Day == 1)
                {
                    this.startDate = value.AddMonths(1).AddDays(-1);
                }
                else
                {
                    this.startDate = value;
                }
                this.OnPropertyChanged("StartDate");
            }
        }

        public ViewModel()
        {
            this.StartDate = DateTime.Now;
        }

    }
}
